/* Programmmodul Motor
 * Eine Klasse um einen
 * Gleichstrommotor rechtsherum oder
 * linksherum laufen zu lassen.
 * 
 * Programmmodul mit den Funktionsdeklarationen, auch Methoden genannt.
 * 
 * Dateiname Motor.cpp
 *
 * [Ulrich Klein 2017] [ullrich-klein-mzg@t-online.de]
 *
 * Dieses Programm ist freie Software. Sie können es unter
 * den Bedingungen der GNU General Public License, wie von der Free
 * Software Foundation veröffentlicht, weitergeben und/oder
 * modifizieren, entweder gemäß Version 3 der Lizenz oder
 * (nach Ihrer Option) jeder späteren Version.
 *
 * Die Veröffentlichung dieses Programms erfolgt in der Hoffnung,
 * daß es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 * sogar ohne die implizite Garantie der MARKTREIFE oder der
 * VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
 * Details finden Sie in der GNU General Public License.
 *
 * Sie sollten ein Exemplar der GNU General Public License zusammen mit
 * diesem Programm erhalten haben.
 * Falls nicht, siehe <http://www.gnu.org/licenses/>./
 */


#include "motor.h"
#include "Arduino.h"

Motor::Motor (int PinNr1, int PinNr2) // Der Konstruktor.
{
	pinMode (PinNr1, OUTPUT);
	pinMode (PinNr2, OUTPUT);
	rechtsrum = PinNr1;
	linksrum = PinNr2;
}


void Motor::Rechtslauf ()
{
	if (!Merker2)
	  Merker1 = true;
	Motor_an_aus ();
}


void Motor::Linkslauf ()
{
	if (!Merker1)
	  Merker2 = true;
	Motor_an_aus ();
}


void Motor::Aus ()
{
	Merker1 = false;
	Merker2 = false;
	Motor_an_aus ();
}


void Motor::Motor_an_aus ()
{
	if (Merker1)
	  digitalWrite (rechtsrum, HIGH);
	else if (!Merker1)
	  digitalWrite (rechtsrum, LOW);

	if (Merker2)
	  digitalWrite (linksrum, HIGH);
	else if (!Merker2)
	  digitalWrite (linksrum, LOW);
}

