/* Programmmodul Motor
 * Eine Klasse um einen
 * Gleichstrommotor rechtsherum oder
 * linksherum laufen zu lassen.
 * 
 * C++ - Header-Datei mit der Klassendefinition.
 * 
 * Dateiname Motor.h
 *
 * [Ulrich Klein 2017] [ullrich-klein-mzg@t-online.de]
 *
 * Dieses Programm ist freie Software. Sie können es unter
 * den Bedingungen der GNU General Public License, wie von der Free
 * Software Foundation veröffentlicht, weitergeben und/oder
 * modifizieren, entweder gemäß Version 3 der Lizenz oder
 * (nach Ihrer Option) jeder späteren Version.
 *
 * Die Veröffentlichung dieses Programms erfolgt in der Hoffnung,
 * daß es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE,
 * sogar ohne die implizite Garantie der MARKTREIFE oder der
 * VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
 * Details finden Sie in der GNU General Public License.
 *
 * Sie sollten ein Exemplar der GNU General Public License zusammen mit
 * diesem Programm erhalten haben.
 * Falls nicht, siehe <http://www.gnu.org/licenses/>./
 */
 
 
 #ifndef _MOTOR_H_
 #define _MOTOR_H_
 
 #include <stdbool.h>
 
 using namespace std;
 
 class Motor
 {
	 private:
	 int rechtsrum {4}; // Hier wird die PinNr festgelegt an die
	 int linksrum {5};  // der Motortreiber IC L 298 angeschlossen ist.
	 bool Merker1 {false}; // Sind die Merker um die Motorfunktionen
	 bool Merker2 {false}; // Rechtslauf, Linkslauf gegeneinander zu veriegeln.
	 void Motor_an_aus(); 
	 
	 public:
	 Motor (int PinNr1, int PinNr2); // Der Konstruktor.
	 void Rechtslauf ();
	 void Linkslauf ();
	 void Aus ();
 };
 
 #endif

